Bug 1131845 - Delete option for functioning OVF disks should be greyed out
Summary: Delete option for functioning OVF disks should be greyed out
Status: CLOSED UPSTREAM
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-20 07:11 UTC by Kevin Alon Goldblatt
Modified: 2016-02-10 16:50 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-22 07:53:20 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 31953 master MERGED webadmin: isRemoveCommandAvailable() - removal of unneeded booleans Never
oVirt gerrit 31954 master MERGED webadmin: disable 'Remove' for OVF store not in ILLEGAL status Never
oVirt gerrit 32187 ovirt-engine-3.5 MERGED webadmin: isRemoveCommandAvailable() - removal of unneeded booleans Never
oVirt gerrit 32188 ovirt-engine-3.5 MERGED webadmin: disable 'Remove' for OVF store not in ILLEGAL status Never

Description Kevin Alon Goldblatt 2014-08-20 07:11:03 UTC
Created attachment 928657 [details]
screen shots

Description of problem:
The Remove Button is enabled on Functioning OVF disks when it should be greyed out

Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch
vdsm-4.16.1-6.gita4a4614.el6.x86_64


How reproducible:
All the time

Steps to Reproduce:
1. Right click a functioning OVF disk in the Disk tab of the rhevm managment
2. The delete option is available
3. Press delete - a confirmation message is generated asking you asking "....are you sure..." 
4. The operation fails informing the user that only an illegal OVF disk may be deleted. 
5.According to the Officially Reviewd Test Plan, the Remove option Must be greyed out unless the OVF disk is Illegal. Why allow the user to perform a function that is not allowed?

Actual results:
The Delete Button is enabled

Expected results:
Should be greyed out

Additional info:
See SCREEN SHOT!


Note You need to log in before you can comment on or make changes to this bug.